Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class BigDecimalMath

- org.codehaus.groovy.runtime.typehandling.BigDecimalMath

- BigDecimal NumberMath operations

  Authors:
    Steve Goetze

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DIVISION_EXTRA_PRECISION` |
    `static int` | `DIVISION_MIN_SCALE` |
    `static BigDecimalMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Number` | `absImpl(Number number)`
    `` | `Number` | `addImpl(Number left, Number right)`
    `` | `int` | `compareToImpl(Number left, Number right)`
    `` | `Number` | `divideImpl(Number left, Number right)`
    `` | `Number` | `multiplyImpl(Number left, Number right)`
    `` | `Number` | `subtractImpl(Number left, Number right)`
    `` | `protected Number` | `unaryMinusImpl(Number left)`
    `` | `protected Number` | `unaryPlusImpl(Number left)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int DIVISION_EXTRA_PRECISION

    - #### public static final int DIVISION_MIN_SCALE

    - #### public static final BigDecimalMath INSTANCE

  - ### Method Detail

    - #### protected Number absImpl(Number number)

    - #### public Number addImpl(Number left, Number right)

    - #### public int compareToImpl(Number left, Number right)

    - #### public Number divideImpl(Number left, Number right)

    - #### public Number multiplyImpl(Number left, Number right)

    - #### public Number subtractImpl(Number left, Number right)

    - #### protected Number unaryMinusImpl(Number left)

    - #### protected Number unaryPlusImpl(Number left)